Name:           gnome-robots
Version:        3.8.2
Release:        1%{?dist}
Summary:        GNOME Robots game

License:        GPLv2+ and GFDL
URL:            https://live.gnome.org/Robots
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.8/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  libcanberra-devel
BuildRequires:  librsvg2-devel

Obsoletes: gnome-games-gnobots2 < 1:3.7.92
Obsoletes: gnome-games-extra < 1:3.7.92
Obsoletes: gnome-games-extra-data < 3.2.0-6

%description
The classic game where you have to avoid a hoard of robots who are trying to
kill you. Each step you take brings them closer toward you. Fortunately they
aren't very smart and you also have a helpful teleportation gadget.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnobots2.desktop

%find_lang %{name} --with-gnome


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/icons/HighContrast &>/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
  touch --no-create %{_datadir}/icons/HighContrast &>/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/HighContrast &> /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc COPYING
%attr(2551, root, games) %{_bindir}/gnome-robots
%{_datadir}/applications/gnobots2.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.robots.gschema.xml
%{_datadir}/gnome-robots
%{_datadir}/icons/HighContrast/*/apps/gnome-robots.*
%{_datadir}/icons/hicolor/*/actions/teleport*
%{_datadir}/icons/hicolor/*/apps/gnome-robots.*
%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) %{_localstatedir}/games/gnome-robots.*
%{_mandir}/man6/gnome-robots.6*


%changelog
* Mon Jan 20 2014 Richard Hughes <rhughes@redhat.com> - 3.8.2-1
- Update to 3.8.2

* Sat Jun 22 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-3
- Obsolete gnome-games-extra (for upgrades from f17)

* Mon May 13 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-2
- Obsolete gnome-games-extra-data

* Mon May 06 2013 Tanner Doshier <doshitan@gmail.com> - 3.8.1-1
- Update to 3.8.1

* Fri Mar 29 2013 Tanner Doshier <doshitan@gmail.com> - 3.8.0-1
- Update to 3.8.0
- Use setgid games

* Fri Mar 22 2013 Tanner Doshier <doshitan@gmail.com> - 3.7.92-1
- Update to 3.7.92
- Use old desktop file name
- Add high contrast icons

* Fri Mar 8 2013 Tanner Doshier <doshitan@gmail.com> - 3.7.90-1
- Initial packaging of standalone gnome-robots
